Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseHyperlinkParameter

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseHyperlinkParameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCloneable, JRHyperlinkParameter

Direct Known Subclasses:
  JRDesignHyperlinkParameter

    public class JRBaseHyperlinkParameter

extends java.lang.Object
implements JRHyperlinkParameter, java.io.Serializable

Base implementation of `JRHyperlinkParameter`.

Version:
  $Id: JRBaseHyperlinkParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name`
`protected JRExpression` | `valueExpression`

Constructor Summary
`protected` | `JRBaseHyperlinkParameter()` Creates a blank instance.
`` | `JRBaseHyperlinkParameter(JRHyperlinkParameter parameter, JRBaseObjectFactory factory)` Creates an instance equivalent to an existing hyperlink parameter.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getName()` Returns the parameter name.
`JRExpression` | `getValueExpression()` Returns the parameter value expression.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### valueExpression

    protected JRExpression valueExpression

Constructor Detail

### JRBaseHyperlinkParameter

    protected JRBaseHyperlinkParameter()

  Creates a blank instance.

### JRBaseHyperlinkParameter

    public JRBaseHyperlinkParameter(JRHyperlinkParameter parameter,
                                    JRBaseObjectFactory factory)

  Creates an instance equivalent to an existing hyperlink parameter.

  Parameters:
    `parameter` - the parameter to replicate
    `factory` - the base object factory

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `JRHyperlinkParameter`
  Returns the parameter name.

  Specified by:
    `getName` in interface `JRHyperlinkParameter`
  Returns:
    the parameter name

### getValueExpression

    public JRExpression getValueExpression()

  Description copied from interface: `JRHyperlinkParameter`
  Returns the parameter value expression.

  Specified by:
    `getValueExpression` in interface `JRHyperlinkParameter`
  Returns:
    the parameter value expression

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com